### Function

# Gimp context_set_sample_threshold

since: 2.8

#### Declaration [src]

    gboolean
    gimp_context_set_sample_threshold (
      gdouble sample_threshold
    )

#### Description [src]

Set the sample threshold setting.

Modifies the sample threshold setting. If an operation depends on the colors of the pixels present in a drawable, like when doing a seed fill, this setting controls what is "sufficiently close" to be considered a similar color. If the sample threshold has not been set explicitly, the default threshold set in gimprc will be used.

This setting affects the following procedures: gimp_image_select_color(), gimp_image_select_contiguous_color(), gimp_drawable_edit_bucket_fill().

Available since: 2.8

#### Parameters

`sample_threshold`

  Type: `gdouble`

  The sample threshold setting.

#### Return value

Type: `gboolean`

TRUE on success.